TclCurl(3)

NAME
TclCurl: - get a URL with FTP, FTPS, HTTP, HTTPS, SCP, SFTP, TFTP, TELNET, DICT, FILE, LDAP, LDAPS, IMAP, IMAPS, POP, POP3, SMTP, SMTPS and gopher syntax.

SYNOPSIS
curl::shareinit

shareHandle share ?data?

shareHandle unshare ?data?

shareHandle cleanup

curl::sharestrerror errorCode

DESCRIPTION

With the share API, you can have two or more 'easy' handles sharing data among them, so far they can only share cookies and DNS data.

curl::shareinit
This procedure must be the first one to call, it returns a shareHandle that you need to use to share data among handles using the -share option to the configure command. The init MUST have a corresponding call to cleanup when the operation is completed.

RETURN VALUE

shareHandle to use.

shareHandle share ?data?

The parameter specifies a type of data that should be shared. This may be set to one of the values described below:

    cookies
        Cookie data will be shared across the easy handles using this shared object.

    dns Cached DNS hosts will be shared across the easy handles using this shared object. Note that when you use the multi interface, all easy handles added to the same multi handle will share DNS cache by default without this having to be used!

shareHandle unshare ?data?
This command does the opposite of share. The specified parameter will no longer be shared. Valid values are the same as those for share.

sharehandle cleanup

Deletes a shared object. The share handle cannot be used anymore after this function has been called.

curl::sharestrerror errorCode
Returns a string describing the error code passed in the argument.

SEE ALSO
curl, TclCurl